summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexandre Demers2019-04-26 14:12:44 -0400
committerAlexandre Demers2019-04-26 14:12:44 -0400
commit4561ab72d50ca88442663b9920214034968077e1 (patch)
tree4e9656c5fcbdfcc77d8dcec4b72be3e3bf0f63c6
parent9fbf57e6329fd1aeb76ab513b8428b2d8a9ef0a2 (diff)
downloadaur-4561ab72d50ca88442663b9920214034968077e1.tar.gz
Build with libdrm and aom
lib32-aom is now available, which allows us to use it with FFMPEG as in the official package. I tested with libdrm and it now works properly without any error about a missing VA function. Signed-off-by: Alexandre Demers <alexandre.f.demers@gmail.com>
-rw-r--r--.SRCINFO3
-rw-r--r--PKGBUILD16
2 files changed, 8 insertions, 11 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ebba6e88c66..27445ca1f69 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = lib32-ffmpeg
pkgdesc = Complete solution to record, convert and stream audio and video (32 bit)
pkgver = 4.1.3
- pkgrel = 2
+ pkgrel = 3
epoch = 1
url = http://ffmpeg.org/
arch = x86_64
@@ -12,6 +12,7 @@ pkgbase = lib32-ffmpeg
makedepends = yasm
depends = ffmpeg
depends = lib32-alsa-lib
+ depends = lib32-aom
depends = lib32-bzip2
depends = lib32-fontconfig
depends = lib32-fribidi
diff --git a/PKGBUILD b/PKGBUILD
index af6489678e8..ef58ee97c02 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,7 +7,7 @@
_pkgbasename=ffmpeg
pkgname=lib32-$_pkgbasename
pkgver=4.1.3
-pkgrel=2
+pkgrel=3
epoch=1
pkgdesc="Complete solution to record, convert and stream audio and video (32 bit)"
arch=('x86_64')
@@ -15,7 +15,7 @@ url="http://ffmpeg.org/"
license=('GPL3')
depends=("$_pkgbasename"
'lib32-alsa-lib'
-# 'lib32-aom'
+ 'lib32-aom'
'lib32-bzip2'
'lib32-fontconfig'
'lib32-fribidi'
@@ -95,8 +95,10 @@ build() {
--enable-gnutls \
--enable-gpl \
--enable-ladspa \
+ --enable-libaom \
--enable-libass \
--enable-libbluray \
+ --enable-libdrm \
--enable-libfreetype \
--enable-libfribidi \
--enable-libgsm \
@@ -126,12 +128,8 @@ build() {
--enable-shared \
--enable-version3
-# --enable-libdrm \ ## We would like to use it, but it seems to be broken for now. There is a problem with a va function.
-
-
-# --enable-libsoxr \
-# --enable-libaom \ ## Not available under 32bit
-# --enable-libssh \ ## not available under 32bit
+# --enable-libsoxr \ ## not available under 32bit
+# --enable-libssh \ ## not available under 32bit
# --enable-libvidstab \ ## not available under 32bit
make
@@ -143,5 +141,3 @@ package() {
make DESTDIR="${pkgdir}" install
rm -rf "$pkgdir"/usr/{include,share,bin}
}
-
-# vim:set ts=2 sw=2 et: